TICKIT_TERM_SET_OUTPUT_FUNC(3)

NAME
tickit_term_set_output_func - manage terminal output via a callback function

SYNOPSIS
    #include <tickit.h>

    typedef void TickitTermOutputFunc(TickitTerm *tt, const char *bytes,
        size_t len, void *user);

    void tickit_term_set_output_func(TickitTerm *tt,
        TickitTermOutputFunc *fn, void *user);

Link with -ltickit.

DESCRIPTION
This function is now discouraged. Applications should use tickit_term_build(3) instead.

RETURN VALUE
tickit_term_set_output_func() returns no value.

SEE ALSO
tickit_term_build(3), tickit_term_print(3), tickit_term(7), tickit(7)